de.esprit.appsuite.appstore

## Class EspritAppStarter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<AppStarterContext>
    - - de.esprit.appsuite.appstore.EspritAppStarter

- All Implemented Interfaces:
    ApplicationObject<AppStarterContext>, SimpleLogSupport, Dumpable

      public final class EspritAppStarter
      extends AbstractApplicationObject<AppStarterContext>

  This class implements the first phase for webstart based installations of software from a remote application-store. It uses an internal `AppCacheManager` for downloading and launching any software provided by a remote software repository (maintained for instance in an Esprit web-server).

  The code of this class is executed by the `javaws` tool. Therefore it's class file must be packed into a signed JAR-file. The actions of this class are driven by a JNLP file containing according command-line-options (For supported command-line-options see `AppStarterCLP`).

  If desired, a tray-icon is installed which contains a GUI with a menu for starting the applications provided by the remote application-store.

  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.